XCode 8 GM Seed: error al upload a TestFlight

Al cargar el file .ipa (generado con Xcode GM Seed) en TestFlight, recibo el siguiente error.

ERROR ITMS-90596: "Paquete no válido. El catálogo de activos en 'Payload / Application.app / Assets.car' no se puede leer. Intente rebuild la aplicación con una versión no beta de Xcode y envíela de nuevo".

DBG-X: el código de error es: 1102

¿Alguien se dio count de un problema similar?

1) Verifique doblemente y asegúrese de que está construyendo con Xcode 8 GM Seed.
2) Asegúrese de que está utilizando la última versión de El Cap.
3) Eliminar ~ / Library / Developer / Xcode / DerivedData folder. (Fue mi problema)
4) Reconstruya el proyecto.
Asegúrese de que el entorno desde el que está enviando también esté ejecutando El Cap más reciente y Xcode 8 GM.

Si trabaja con una versión múltiple de Xcode (es decir, 7.3.1 y 8.0 o superior), asegúrese de iniciar Application Loader desde la versión correspondiente de Xcode . Si crea un file IPA desde Xcode 8.0, abra el cargador de aplicaciones desde esa Xcode -> Open Developer Tool -> Application Loader .

¡Buena suerte!

Tenía dos XCodes en mi Mac, 7.3 y 8.1. Hice el file usando 8.1 pero lo estaba cargando con Xcode 7.3 Application Loader (3.5). Cargando con Xcode 8.1 Application Loader (3.6) resolvió el problema por mí No te preocupes por la versión de OSx

Tuve esta advertencia justo ahora y resultó ser completamente falsa: el problema real era que estaba usando Application Loader v3.5 para enviar una aplicación que había sido escrita en Xcode 8. Entonces, si nada más funciona, asegúrate de que utilice la pantalla de Archivo para cargar su compilation desde la versión de Xcode en la que se creó el file, o abra el Cargador de aplicaciones desde la versión correcta de Xcode seleccionando Xcode > Open Developer Tool > Application Loader

También tuvimos esta falla al usar una versión anterior de Application Loader. Actualizar el cargador de aplicaciones (3.0 -> 3.6) solucionó el problema. La aplicación que se subió se creó con Xcode 8.0, no habíamos visto este problema con las aplicaciones comstackdas Xcode 7.x.

Tuve el mismo problema el viernes pasado mientras cargué la compilation utilizando Application Loader. Estaba usando la versión Xcode 8.0 (8A218a) y la versión 10.1.5 (15F34) de Mac OS.

En mi sistema tengo dos Xcode (v7.3 y 8.0). Xcode 7.3 estaba usando Application Loader 3.5 mientras que Xcode 8.0 estaba usando Application Loader 3.6

Cuando abro la aplicación Application Loader a través de la búsqueda de Spotlight, se abre el Application Loader 3.5 que condujo al error anterior.

Más bien tuve que abrir explícitamente Application Loader 3.6 (Xcode> Open Developer Tools> Application Loader) que es la última versión.

Si tiene varias versiones de Xcode en su máquina, entonces se produce este problema. Inicie la aplicación Application Loader desde el propio Xcode usando el elemento del menu Open Developer Tool Dock o desde el menu principal de Xcode.

Tuve el mismo problema.

Descargué la versión de producción recientemente lanzada de Xcode a través de la aplicación App Store y volví a enviar usando esa versión y se envió con éxito.

Este problema se resolvió para mí al actualizar a la versión de producción de macOS Sierra.

Hemos recibido el mismo error de itunesconnect.apple.com al intentar cargar una nueva ipa creada con Xcode 8.0 (8A218a) macOS Sierra 10.12. Probamos todas las soluciones que pudimos encontrar mientras esperábamos que el soporte de Apple respondiera y nada funcionó. Esto incluía la creación de comstackciones con objectives de implementación 8.x y objectives de implementación 9.x.

El soporte de Apple finalmente respondió que el problema se debía a 2 imágenes creadas con la gama de visualización P3, que no tenía mucho sentido ya que la respuesta de error para ese problema suele ser ERROR ITMS-90682 Assets.car no puede contener 16 bits o P3 activos si la aplicación es compatible con iOS 8 o anterior.

Actualizamos las 2 imágenes que marcaron y tratamos de cargar nuevamente y recibimos el mismo post de error acerca de haber usado una versión beta de Xcode.

¡Finalmente encontramos una solución usando Xcode para cargar la compilation en la tienda de aplicaciones en lugar del website y funcionó!

Al parecer, hay un error con itunesconnect.apple.com, que identifica mal las comstackciones creadas con Xcode 8 como si se crearan con una versión beta de Xcode.

Arreglado mi problema Necesita cargar la compilation con xCode 8.0+ y el cargador de aplicaciones v3.6